Checkout a branch
Switch to a different branch. Optionally create it if it doesn't exist.
Switch to a different branch. Optionally create it if it doesn't exist.
Authorization
BearerAuth AuthorizationBearer <token>
API key passed as a Bearer token in the Authorization header.
Alternatively, use the leap0-authorization header.
In: header
Path Parameters
sandboxID*string
Unique sandbox identifier.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
path*string
Path to the git repository.
branch*string
Branch name to checkout.
create?boolean
Create the branch if it doesn't exist.
Response Body
application/json
application/json
application/json
curl -X POST "https://api.leap0.dev/v1/sandbox/string/git/checkout-branch" \ -H "Content-Type: application/json" \ -d '{ "path": "string", "branch": "string" }'{ "output": "string", "exit_code": 0}{ "message": "string", "errors": [ { "field": "string", "error": "string" } ]}{ "message": "string"}
